Extending Qt Creator Manual | KeywordsFunctionHintModel

Extending Qt Creator Manual 4.3.0

# KeywordsFunctionHintModel Class

(TextEditor::KeywordsFunctionHintModel)

Inherits: | TextEditor::IFunctionHintProposalModel

- List of all members, including inherited members

## Public Functions

| KeywordsFunctionHintModel(const QStringList &functionSymbols)
| ~KeywordsFunctionHintModel() final = default

## Reimplemented Public Functions

virtual int | activeArgument(const QString &prefix) const final
virtual void | reset() final
virtual int | size() const final
virtual QString | text(int index) const final

- 1 public function inherited from TextEditor::IFunctionHintProposalModel
- 3 public functions inherited from TextEditor::IAssistProposalModel

## Member Function Documentation

### KeywordsFunctionHintModel::KeywordsFunctionHintModel(const QStringList &functionSymbols)

Default constructs an instance of KeywordsFunctionHintModel.

### `[default]` KeywordsFunctionHintModel::~KeywordsFunctionHintModel()

Destroys the instance of KeywordsFunctionHintModel.

### `[final virtual]` int KeywordsFunctionHintModel::activeArgument(const QString &prefix) const

### `[final virtual]` void KeywordsFunctionHintModel::reset()

### `[final virtual]` int KeywordsFunctionHintModel::size() const

### `[final virtual]` QString KeywordsFunctionHintModel::text(int index) const